"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames_1 = require("classnames");
var core_1 = require("./core");
var Link = /** @class */ (function (_super) {
    __extends(Link, _super);
    function Link() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.click = function () {
            var _a = _this.props, manager = _a.manager, to = _a.to;
            manager.history.push(to);
        };
        return _this;
    }
    Link.prototype.render = function () {
        return React.createElement("a", { onClick: this.click, className: classnames_1.default('srLink', {
                active: this.isActive()
            }) },
            " ",
            this.props.children,
            "  ");
    };
    Link.prototype.isActive = function () {
        var path = this.props.path, test = this.props.test || this.props.to;
        return core_1.match(path, test);
    };
    Link = __decorate([
        core_1.withManager,
        core_1.withPath
    ], Link);
    return Link;
}(React.PureComponent));
exports.Link = Link;
//# sourceMappingURL=Link.js.map