"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Loading_1 = require("../Loading");
require("./LoadingUI.scss");
var LoadingUI = /** @class */ (function (_super) {
    __extends(LoadingUI, _super);
    function LoadingUI() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LoadingUI.prototype.render = function () {
        var isLoading = this.props.isLoading;
        return React.createElement(React.Fragment, null, isLoading ? React.createElement("div", { className: 'loader-wrapper' },
            React.createElement("div", { className: 'loader' })) : null);
    };
    return LoadingUI;
}(React.PureComponent));
function createUI(store) {
    var connect = store.connect, modelId = store.getModelIdByClass(Loading_1.Loading);
    var Cls = connect(function (s) {
        var model = s[modelId], isLoading = (model.uiSessionCount == 0) && (model.count() > 0);
        return { isLoading: isLoading };
    })(LoadingUI);
    return Cls;
}
exports.createUI = createUI;
//# sourceMappingURL=LoadingUI.js.map