"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var service_1 = require("./service");
require("./App.scss");
var App = /** @class */ (function (_super) {
    __extends(App, _super);
    function App() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.add = function () {
            service_1.dispatch.test.add(2);
        };
        _this.add2 = function () {
            service_1.dispatch.test.add2(1);
        };
        _this.testInteraction = function () {
            service_1.dispatch.test.testInteractions();
        };
        _this.showProgress = function () {
            service_1.dispatch.test.showProgress();
        };
        _this.singleEffect = function () {
            service_1.dispatch.test.singleEffect();
        };
        _this.alert = function () {
            //dispatch.test.testAlert('some message')
            service_1.dispatch.Tools.showDialog({
                title: 'this is title',
                message: 'this is body',
                buttons: ['OK', 'Cancel']
            });
        };
        return _this;
    }
    App.prototype.render = function () {
        var points = this.props.points;
        return React.createElement("div", null,
            React.createElement("div", null,
                "points:",
                points),
            React.createElement("button", { onClick: this.add }, "add"),
            React.createElement("button", { onClick: this.add2 }, "async add"),
            React.createElement("button", { onClick: this.alert }, "alert"),
            React.createElement("br", null),
            React.createElement("button", { onClick: this.testInteraction }, "testInteraction"),
            React.createElement("button", { onClick: this.showProgress }, "show progress bar"),
            React.createElement("hr", null),
            React.createElement("button", { onClick: this.singleEffect }, "single effect"));
    };
    App = __decorate([
        service_1.connect(function (s) { return ({
            points: s.test.points
        }); })
    ], App);
    return App;
}(React.Component));
exports.App = App;
//# sourceMappingURL=App.js.map