import * as React from 'react';
import { PathTest, RouteManager } from './core';
interface LinkProp {
    /** navigating path when clicked */
    to: string;
    /** add active class when condition matches */
    test?: PathTest;
    manager?: RouteManager;
    path?: string;
}
declare class Link extends React.PureComponent<LinkProp> {
    click: () => void;
    render(): JSX.Element;
    isActive(): boolean;
}
export { Link };
