import { middleware, Plugin } from '../core';
interface LoggingCfg {
    log: (type: string, payload: any, state: any, queue?: any[]) => void;
    filter: (ctx: any, mCtx: any) => boolean;
}
declare class Logging extends Plugin {
    _privateFields_: string[];
    effectPool: {};
    log(type: string, payload: any, state: any, queue?: any[]): void;
    filter(ctx: any, mCtx: any): boolean;
    constructor(cfg?: Partial<LoggingCfg>);
    onDispatch(ctx: middleware.Context, info: middleware.Info): any;
}
export { Logging };
