"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./App.scss");
require("./loader.scss");
var TabSample_1 = require("./TabSample");
var Home_1 = require("./Home");
var __1 = require("../..");
var Link = __1.router.Link, Router = __1.router.Router, Route = __1.router.Route, Carousel = __1.router.Carousel, BackButton = __1.router.BackButton, Folder = __1.router.Folder;
var App = /** @class */ (function (_super) {
    __extends(App, _super);
    function App() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    App.prototype.render = function () {
        var tabs = React.createElement(TabSample_1.TabSample, null);
        var redirects = {
            '': 'Menu1/SubMenu1',
            'Menu1': 'Menu1/SubMenu1',
            'Menu1/TabSample': 'Menu1/TabSample/tab1'
        }, skipAnimation = ['Home'];
        var loading = this.props.loading;
        return React.createElement(React.Fragment, null,
            React.createElement(Router, { manager: { redirects: redirects, skipAnimation: skipAnimation } },
                React.createElement("div", { className: "App" },
                    React.createElement("div", { className: 'menu menu' },
                        React.createElement(Link, { to: 'Home' }, "Home"),
                        React.createElement(Link, { to: 'Menu1' }, "Menu1"),
                        React.createElement(Link, { to: 'Menu2' }, "Menu2")),
                    React.createElement(Folder, { test: function (path) { return path != 'Home'; }, className: 'menu2 menu' },
                        React.createElement(Route, { test: 'Menu1' },
                            React.createElement(Link, { to: 'Menu1/SubMenu1' }, "SubMenu1"),
                            React.createElement(Link, { to: 'Menu1/SubMenu2' }, "SubMenu2"),
                            React.createElement(Link, { to: 'Menu1/TabSample' }, "a Tab Sample")),
                        React.createElement(Route, { test: 'Menu2' },
                            React.createElement(Link, { to: 'Menu2/SubMenu1' }, "SubMenu3"),
                            React.createElement(Link, { to: 'Home' }, "go Home"))),
                    React.createElement(Carousel, null, function (path) {
                        if (path.startsWith('Menu1/TabSample')) {
                            return tabs;
                        }
                        if (path == 'Home') {
                            return React.createElement(Home_1.Home, null);
                        }
                        return React.createElement("div", { className: 'box' }, path);
                    }))),
            (loading > 0) ? React.createElement("div", { className: 'loader-wrapper' },
                React.createElement("div", { className: 'loader' })) : null);
    };
    return App;
}(React.Component));
exports.default = App;
//# sourceMappingURL=App.js.map