"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var __1 = require("../..");
var Tools = __1.plugins.Tools;
function delay(sec) {
    return new Promise(function (resolve) { return setTimeout(resolve, sec * 1000); });
}
var Test = /** @class */ (function (_super) {
    __extends(Test, _super);
    function Test() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.points = 0;
        return _this;
    }
    Test.prototype.add = function (change) {
        this.points += change; //reducers(no decorator methods) can read/write state
    };
    Test.prototype.add2 = function (min) {
        return __awaiter(this, void 0, void 0, function () {
            var rnd, common, greet;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        //console.log('effect started', this.points, min) //effect can read state and argument 
                        this.points += 1000; //this has no effect, state is readonly for effect 
                        return [4 /*yield*/, this.random()]; //effect can read from other effects via 'await' 
                    case 1:
                        rnd = _a.sent() //effect can read from other effects via 'await' 
                        ;
                        console.log('rnd=' + rnd);
                        common = this.importModel(Common) //call reducers or effects on other model
                        ;
                        common.hi('Jack');
                        return [4 /*yield*/, common.greet('Jack')];
                    case 2:
                        greet = _a.sent();
                        console.log(greet);
                        this.add(rnd); //effect can call reducer to change state  
                        return [2 /*return*/];
                }
            });
        });
    };
    Test.prototype.random = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, delay(1)]; //delay 
                    case 1:
                        _a.sent(); //delay 
                        return [2 /*return*/, Math.round(Math.random() * 10)];
                }
            });
        });
    };
    Test.prototype.testInteractions = function () {
        return __awaiter(this, void 0, void 0, function () {
            var $, ret;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        $ = this.importModel(Tools);
                        return [4 /*yield*/, $.sleep(500)];
                    case 1:
                        _a.sent();
                        return [4 /*yield*/, $.showDialog({
                                message: "want to start?",
                                buttons: ["YES", "NO"]
                            })];
                    case 2:
                        ret = _a.sent();
                        return [4 /*yield*/, $.sleep(500)];
                    case 3:
                        _a.sent();
                        return [4 /*yield*/, $.showDialog({
                                message: "you have clicked " + ((ret == 0) ? 'YES' : 'NO')
                            })];
                    case 4:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    Test.prototype.singleEffect = function () {
        return __awaiter(this, void 0, void 0, function () {
            var $;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        $ = this.importModel(Tools);
                        return [4 /*yield*/, $.sleep(1500)];
                    case 1:
                        _a.sent();
                        this.add(1);
                        return [2 /*return*/];
                }
            });
        });
    };
    Test.prototype.showProgress = function () {
        return __awaiter(this, void 0, void 0, function () {
            var $, p;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        $ = this.importModel(Tools);
                        p = 0;
                        _a.label = 1;
                    case 1:
                        if (!true) return [3 /*break*/, 3];
                        $.showProgress({ percentage: p, message: 'loading ' + p });
                        p += 10;
                        return [4 /*yield*/, $.sleep(1000 * Math.random())];
                    case 2:
                        _a.sent();
                        if (p > 200)
                            return [3 /*break*/, 3];
                        return [3 /*break*/, 1];
                    case 3:
                        $.showProgress({ percentage: -1 });
                        return [2 /*return*/];
                }
            });
        });
    };
    __decorate([
        __1.effect,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Number]),
        __metadata("design:returntype", Promise)
    ], Test.prototype, "add2", null);
    __decorate([
        __1.effect,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], Test.prototype, "random", null);
    __decorate([
        __1.effect,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], Test.prototype, "testInteractions", null);
    __decorate([
        __1.singleEffect,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], Test.prototype, "singleEffect", null);
    __decorate([
        __1.effect,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], Test.prototype, "showProgress", null);
    return Test;
}(__1.Model));
var Common = /** @class */ (function () {
    function Common() {
    }
    Common.prototype.hi = function (name) {
        console.log(name + ' said hi');
    };
    Common.prototype.greet = function (name) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, delay(.5)]; //delay  
                    case 1:
                        _a.sent(); //delay  
                        return [2 /*return*/, "hello " + name];
                }
            });
        });
    };
    __decorate([
        __1.effect,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", Promise)
    ], Common.prototype, "greet", null);
    return Common;
}());
var _a = __1.createStore({
    Loading: new __1.plugins.Loading(),
    Tools: new __1.plugins.Tools(),
    Logging: new __1.plugins.Logging(),
    test: new Test(),
    common: new Common()
}), Provider = _a.Provider, connect = _a.connect, dispatch = _a.dispatch;
exports.Provider = Provider;
exports.connect = connect;
exports.dispatch = dispatch;
//# sourceMappingURL=service.js.map