import * as React from 'react';
import { RouteManager } from './core';
interface CarouselProp {
    className?: string;
    transitionDuration?: number;
    children: (path: string) => JSX.Element | null;
    manager?: RouteManager;
    path?: string;
}
declare class Carousel extends React.PureComponent<CarouselProp> {
    root: React.RefObject<HTMLDivElement>;
    _oldPath: string;
    render(): JSX.Element;
    size: {
        width: number;
        height: number;
    };
    readSize(): void;
    componentDidUpdate(): void;
    componentDidMount(): void;
}
export { Carousel };
