import * as React from 'react';
import { RouteManager } from './core';
import { History } from './History';
import './Router.scss';
interface RouterProps {
    manager?: Partial<RouteManager>;
}
declare class Router extends React.PureComponent<RouterProps> {
    state: {
        path: string;
    };
    manager: RouteManager & Partial<RouteManager>;
    render(): JSX.Element;
    onHistoryChange: (path: any) => void;
    readonly history: History;
    componentDidMount(): void;
    componentWillUnmount(): void;
}
export { Router };
