import { middleware, Plugin } from '../core';
/**
 * for showing loading status
 */
declare class Loading extends Plugin {
    current: {
        [actionType: string]: number;
    };
    uiSessionCount: number;
    count(): number;
    addAction(actionType: string): void;
    removeAction(actionType: string): void;
    clearAll(): void;
    onDispatch(ctx: middleware.Context, info: middleware.Info): void;
    setUiSessionCount(count: any): void;
    onModelInstalled(store: any, dispatch: Loading, modelId: string): void;
}
export { Loading };
